package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;

import com.palmnest.application.dto.DeptGroupDto;

public class PushSendDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -8183476960929896427L;
	private Integer id;
	private Integer type;//1短信2邮箱
	private String orgId;
	private String accountId;//发送邮箱id
	private String sendEmail;//发送邮箱（邮箱发送才有）
	private List<PushUserDto> userList;//目标用户
	private Integer count;//用户总人数
	private String title;//标题（邮箱发送才有）
	private String content;//内容
	private String emailCentent;//内容
	private String editTime;//编辑时间
	private String editUser;//编辑人
	private String state;//发布状态(0待审核1已发布2已驳回)
	private String auditor;//审核人
	private String auditTime;//审核时间
	private Integer isPass;//审核结果（0不通过1通过）
	private String auditOpinion;//审核意见
	private String attachment;//邮箱附件
	private List<AuditDto> auditList;
	private Integer approvalType;
	private Integer isApproval;
	private String approvalTypeName;
	private Integer receiveType;
	private List<DeptGroupDto> deptGroupList;
	
	
	public String getApprovalTypeName() {
		return approvalTypeName;
	}
	public void setApprovalTypeName(String approvalTypeName) {
		this.approvalTypeName = approvalTypeName;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getSendEmail() {
		return sendEmail;
	}
	public void setSendEmail(String sendEmail) {
		this.sendEmail = sendEmail;
	}
	public List<PushUserDto> getUserList() {
		return userList;
	}
	public void setUserList(List<PushUserDto> userList) {
		this.userList = userList;
	}
	public Integer getCount() {
		return count;
	}
	public void setCount(Integer count) {
		this.count = count;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getEditTime() {
		return editTime;
	}
	public void setEditTime(String editTime) {
		this.editTime = editTime;
	}
	public String getEditUser() {
		return editUser;
	}
	public void setEditUser(String editUser) {
		this.editUser = editUser;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getAuditor() {
		return auditor;
	}
	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}
	public String getAuditTime() {
		return auditTime;
	}
	public void setAuditTime(String auditTime) {
		this.auditTime = auditTime;
	}
	
	public Integer getIsPass() {
		return isPass;
	}
	public void setIsPass(Integer isPass) {
		this.isPass = isPass;
	}
	public String getAuditOpinion() {
		return auditOpinion;
	}
	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}
	public String getAccountId() {
		return accountId;
	}
	public void setAccountId(String accountId) {
		this.accountId = accountId;
	}
	public String getAttachment() {
		return attachment;
	}
	public void setAttachment(String attachment) {
		this.attachment = attachment;
	}
	public String getEmailCentent() {
		return emailCentent;
	}
	public void setEmailCentent(String emailCentent) {
		this.emailCentent = emailCentent;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public List<AuditDto> getAuditList() {
		return auditList;
	}
	public void setAuditList(List<AuditDto> auditList) {
		this.auditList = auditList;
	}
	public Integer getApprovalType() {
		return approvalType;
	}
	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}
	public Integer getIsApproval() {
		return isApproval;
	}
	public void setIsApproval(Integer isApproval) {
		this.isApproval = isApproval;
	}
	public Integer getReceiveType() {
		return receiveType;
	}
	public void setReceiveType(Integer receiveType) {
		this.receiveType = receiveType;
	}
	public List<DeptGroupDto> getDeptGroupList() {
		return deptGroupList;
	}
	public void setDeptGroupList(List<DeptGroupDto> deptGroupList) {
		this.deptGroupList = deptGroupList;
	}
	
}
